Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision 064723bf3f830a2eca6b30a1ebfa1f5834e683b2)
+++ src/sas/guiframe/gui_manager.py	(revision 091e71a2c396c66b4a4d8a9536d715b2f2210daf)
@@ -1304,13 +1298,12 @@
             if menu_list:
                 for (menu, name) in menu_list:
-                    hidden_menu = self._menubar.Replace(pos, menu, name) 
-                    self._applications_menu_name = name 
-                #self._applications_menu_pos = pos
+                    self._menubar.Replace(pos, menu, name)
+                    self._applications_menu_name = name
             else:
-                hidden_menu = self._menubar.Remove(pos)
+                self._menubar.Remove(pos)
                 self._applications_menu_name = None
             #get the position of the menu when it first added
-            self._applications_menu_pos = pos 
-            
+            self._applications_menu_pos = pos
+
         else:
             menu_list = self._current_perspective.populate_menu(self)
@@ -1320,12 +1313,12 @@
                         self._menubar.Append(menu, name)
                     else:
-                        self._menubar.Insert(self._applications_menu_pos, 
+                        self._menubar.Insert(self._applications_menu_pos,
                                              menu, name)
                     self._applications_menu_name = name
-                  
+
     def _add_help_menu(self):
         """
         add help menu to menu bar.  Includes welcome page, about page,
-        tutorial PDF and documentation pages. 
+        tutorial PDF and documentation pages.
         """
         # Help menu
@@ -1336,37 +1329,37 @@
             # add the welcome panel menu item
             if config.WELCOME_PANEL_ON and self.defaultPanel is not None:
-                id = wx.NewId()
-                self._help_menu.Append(id, '&Welcome', '')
-                wx.EVT_MENU(self, id, self.show_welcome_panel)
+                wx_id = wx.NewId()
+                self._help_menu.Append(wx_id, '&Welcome', '')
+                wx.EVT_MENU(self, wx_id, self.show_welcome_panel)
 
         self._help_menu.AppendSeparator()
-        id = wx.NewId()
-        self._help_menu.Append(id, '&Documentation', '')
-        wx.EVT_MENU(self, id, self._onSphinxDocs)
-
-        if config._do_tutorial and (IS_WIN or sys.platform =='darwin'):
+        wx_id = wx.NewId()
+        self._help_menu.Append(wx_id, '&Documentation', '')
+        wx.EVT_MENU(self, wx_id, self._onSphinxDocs)
+
+        if config._do_tutorial and (IS_WIN or sys.platform == 'darwin'):
             self._help_menu.AppendSeparator()
-            id = wx.NewId()
-            self._help_menu.Append(id, '&Tutorial', 'Software tutorial')
-            wx.EVT_MENU(self, id, self._onTutorial)
-            
+            wx_id = wx.NewId()
+            self._help_menu.Append(wx_id, '&Tutorial', 'Software tutorial')
+            wx.EVT_MENU(self, wx_id, self._onTutorial)
+
         if config._do_acknowledge:
             self._help_menu.AppendSeparator()
-            id = wx.NewId()
-            self._help_menu.Append(id, '&Acknowledge', 'Acknowledging SasView')
-            wx.EVT_MENU(self, id, self._onAcknowledge)
-        
+            wx_id = wx.NewId()
+            self._help_menu.Append(wx_id, '&Acknowledge', 'Acknowledging SasView')
+            wx.EVT_MENU(self, wx_id, self._onAcknowledge)
+
         if config._do_aboutbox:
             self._help_menu.AppendSeparator()
             self._help_menu.Append(wx.ID_ABOUT, '&About', 'Software information')
             wx.EVT_MENU(self, wx.ID_ABOUT, self._onAbout)
-        
+
         # Checking for updates
-        id = wx.NewId()
-        self._help_menu.Append(id,'&Check for update', 
-         'Check for the latest version of %s' % config.__appname__)
-        wx.EVT_MENU(self, id, self._check_update)
+        wx_id = wx.NewId()
+        self._help_menu.Append(wx_id, '&Check for update',
+                               'Check for the latest version of %s' % config.__appname__)
+        wx.EVT_MENU(self, wx_id, self._check_update)
         self._menubar.Append(self._help_menu, '&Help')
-            
+
     def _add_menu_view(self):
         """
@@ -1376,46 +1369,46 @@
             return
         self._view_menu = wx.Menu()
-        
-        id = wx.NewId()
+
+        wx_id = wx.NewId()
         hint = "Display the Grid Window for batch results etc."
-        self._view_menu.Append(id, '&Show Grid Window', hint) 
-        wx.EVT_MENU(self, id, self.show_batch_frame)
-        
+        self._view_menu.Append(wx_id, '&Show Grid Window', hint)
+        wx.EVT_MENU(self, wx_id, self.show_batch_frame)
+
         self._view_menu.AppendSeparator()
         style = self.__gui_style & GUIFRAME.MANAGER_ON
-        id = wx.NewId()
-        self._data_panel_menu = self._view_menu.Append(id,
-                                                '&Show Data Explorer', '')
-        wx.EVT_MENU(self, id, self.show_data_panel)
+        wx_id = wx.NewId()
+        self._data_panel_menu = self._view_menu.Append(wx_id,
+                                                       '&Show Data Explorer', '')
+        wx.EVT_MENU(self, wx_id, self.show_data_panel)
         if style == GUIFRAME.MANAGER_ON:
             self._data_panel_menu.SetText('Hide Data Explorer')
         else:
             self._data_panel_menu.SetText('Show Data Explorer')
-  
+
         self._view_menu.AppendSeparator()
-        id = wx.NewId()
+        wx_id = wx.NewId()
         style1 = self.__gui_style & GUIFRAME.TOOLBAR_ON
         if style1 == GUIFRAME.TOOLBAR_ON:
-            self._toolbar_menu = self._view_menu.Append(id, '&Hide Toolbar', '')
+            self._toolbar_menu = self._view_menu.Append(wx_id, '&Hide Toolbar', '')
         else:
-            self._toolbar_menu = self._view_menu.Append(id, '&Show Toolbar', '')
-        wx.EVT_MENU(self, id, self._on_toggle_toolbar)
+            self._toolbar_menu = self._view_menu.Append(wx_id, '&Show Toolbar', '')
+        wx.EVT_MENU(self, wx_id, self._on_toggle_toolbar)
 
         if custom_config != None:
             self._view_menu.AppendSeparator()
-            id = wx.NewId()
+            wx_id = wx.NewId()
             hint_ss = "Select the current/default configuration "
             hint_ss += "as a startup setting"
-            preference_menu = self._view_menu.Append(id, 'Startup Setting', 
+            preference_menu = self._view_menu.Append(wx_id, 'Startup Setting',
                                                      hint_ss)
-            wx.EVT_MENU(self, id, self._on_preference_menu)
-            
-        id = wx.NewId()
+            wx.EVT_MENU(self, wx_id, self._on_preference_menu)
+
+        wx_id = wx.NewId()
         self._view_menu.AppendSeparator()
-        self._view_menu.Append(id, 'Category Manager', 'Edit model categories')
-        wx.EVT_MENU(self, id, self._on_category_manager)
-
-        self._menubar.Append(self._view_menu, '&View')   
-         
+        self._view_menu.Append(wx_id, 'Category Manager', 'Edit model categories')
+        wx.EVT_MENU(self, wx_id, self._on_category_manager)
+
+        self._menubar.Append(self._view_menu, '&View')
+
     def show_batch_frame(self, event=None):
         """
@@ -1425,11 +1418,11 @@
         self.batch_frame.Show(False)
         self.batch_frame.Show(True)
-    
-    def  on_category_panel(self, event):  
+
+    def  on_category_panel(self, event):
         """
         On cat panel
         """
         self._on_category_manager(event)
-          
+
     def _on_category_manager(self, event):
         """
@@ -1440,5 +1433,5 @@
         frame.SetIcon(icon)
 
-    def _on_preference_menu(self, event):     
+    def _on_preference_menu(self, event):
         """
         Build a panel to allow to edit Mask
@@ -1446,5 +1439,5 @@
         from sas.guiframe.startup_configuration \
         import StartupConfiguration as ConfDialog
-        
+
         dialog = ConfDialog(parent=self, gui=self.__gui_style)
         result = dialog.ShowModal()
@@ -1454,5 +1447,5 @@
             wx.PostEvent(self, StatusEvent(status="Wrote custom configuration", info='info'))
         dialog.Destroy()
-        
+
     def _add_menu_application(self):
         """
@@ -1461,5 +1454,5 @@
         add menu application
         """
-        if self._num_perspectives  > 1:
+        if self._num_perspectives > 1:
             plug_data_count = False
             plug_no_data_count = False
@@ -1471,20 +1464,19 @@
                     id = wx.NewId()
                     if plug.use_data():
-                        
-                        self._applications_menu.InsertCheckItem(pos, id, plug.sub_menu,
-                                      "Switch to analysis: %s" % plug.sub_menu)
+                        self._applications_menu.InsertCheckItem(pos, id, plug.sub_menu, \
+                            "Switch to analysis: %s" % plug.sub_menu)
                         plug_data_count = True
                         pos += 1
                     else:
                         plug_no_data_count = True
-                        self._applications_menu.AppendCheckItem(id, plug.sub_menu,
-                                      "Switch to analysis: %s" % plug.sub_menu)
+                        self._applications_menu.AppendCheckItem(id, plug.sub_menu, \
+                            "Switch to analysis: %s" % plug.sub_menu)
                     wx.EVT_MENU(self, id, plug.on_perspective)
 
-            if (not plug_data_count or not plug_no_data_count):
+            if not plug_data_count or not plug_no_data_count:
                 self._applications_menu.RemoveItem(separator)
             self._menubar.Append(self._applications_menu, '&Analysis')
             self._check_applications_menu()
-            
+
     def _populate_file_menu(self):
         """
@@ -1499,13 +1491,12 @@
                     wx.EVT_MENU(self, id, m_handler)
                 self._file_menu.AppendSeparator()
-                
+
         style1 = self.__gui_style & GUIFRAME.MULTIPLE_APPLICATIONS
         if OPEN_SAVE_MENU:
             id = wx.NewId()
             hint_load_file = "read all analysis states saved previously"
-            self._save_appl_menu = self._file_menu.Append(id, 
-                                    '&Open Project', hint_load_file)
+            self._save_appl_menu = self._file_menu.Append(id, '&Open Project', hint_load_file)
             wx.EVT_MENU(self, id, self._on_open_state_project)
-            
+
         if style1 == GUIFRAME.MULTIPLE_APPLICATIONS:
             # some menu of plugin to be seen under file menu
@@ -1513,25 +1504,24 @@
             hint_load_file += " them into the analysis"
             id = wx.NewId()
-            self._save_appl_menu = self._file_menu.Append(id, 
-                                    '&Open Analysis', hint_load_file)
+            self._save_appl_menu = self._file_menu.Append(id,
+                                                          '&Open Analysis', hint_load_file)
             wx.EVT_MENU(self, id, self._on_open_state_application)
-        if OPEN_SAVE_MENU:        
+        if OPEN_SAVE_MENU:
             self._file_menu.AppendSeparator()
             id = wx.NewId()
             self._file_menu.Append(id, '&Save Project',
-                                 'Save the state of the whole analysis')
+                                   'Save the state of the whole analysis')
             wx.EVT_MENU(self, id, self._on_save_project)
         if style1 == GUIFRAME.MULTIPLE_APPLICATIONS:
             id = wx.NewId()
-            self._save_appl_menu = self._file_menu.Append(id, 
-                                                      '&Save Analysis',
-                        'Save state of the current active analysis panel')
+            self._save_appl_menu = self._file_menu.Append(id, \
+                '&Save Analysis', 'Save state of the current active analysis panel')
             wx.EVT_MENU(self, id, self._on_save_application)
-        if not sys.platform =='darwin':
+        if not sys.platform == 'darwin':
             self._file_menu.AppendSeparator()
             id = wx.NewId()
-            self._file_menu.Append(id, '&Quit', 'Exit') 
+            self._file_menu.Append(id, '&Quit', 'Exit')
             wx.EVT_MENU(self, id, self.Close)
-        
+
     def _add_menu_file(self):
         """
@@ -1542,5 +1532,5 @@
         # Add sub menus
         self._menubar.Append(self._file_menu, '&File')
-        
+
     def _add_menu_edit(self):
         """
@@ -1551,15 +1541,15 @@
         # Edit Menu
         self._edit_menu = wx.Menu()
-        self._edit_menu.Append(GUIFRAME_ID.UNDO_ID, '&Undo', 
+        self._edit_menu.Append(GUIFRAME_ID.UNDO_ID, '&Undo',
                                'Undo the previous action')
         wx.EVT_MENU(self, GUIFRAME_ID.UNDO_ID, self.on_undo_panel)
-        self._edit_menu.Append(GUIFRAME_ID.REDO_ID, '&Redo', 
+        self._edit_menu.Append(GUIFRAME_ID.REDO_ID, '&Redo',
                                'Redo the previous action')
         wx.EVT_MENU(self, GUIFRAME_ID.REDO_ID, self.on_redo_panel)
         self._edit_menu.AppendSeparator()
-        self._edit_menu.Append(GUIFRAME_ID.COPY_ID, '&Copy Params', 
+        self._edit_menu.Append(GUIFRAME_ID.COPY_ID, '&Copy Params',
                                'Copy parameter values')
         wx.EVT_MENU(self, GUIFRAME_ID.COPY_ID, self.on_copy_panel)
-        self._edit_menu.Append(GUIFRAME_ID.PASTE_ID, '&Paste Params', 
+        self._edit_menu.Append(GUIFRAME_ID.PASTE_ID, '&Paste Params',
                                'Paste parameter values')
         wx.EVT_MENU(self, GUIFRAME_ID.PASTE_ID, self.on_paste_panel)
@@ -1570,29 +1560,29 @@
         #Sub menu for Copy As...
         self._edit_menu_copyas.Append(GUIFRAME_ID.COPYEX_ID, 'Copy current tab to Excel',
-                               'Copy parameter values in tabular format')
+                                      'Copy parameter values in tabular format')
         wx.EVT_MENU(self, GUIFRAME_ID.COPYEX_ID, self.on_copy_panel)
 
         self._edit_menu_copyas.Append(GUIFRAME_ID.COPYLAT_ID, 'Copy current tab to LaTeX',
-                               'Copy parameter values in tabular format')
+                                      'Copy parameter values in tabular format')
         wx.EVT_MENU(self, GUIFRAME_ID.COPYLAT_ID, self.on_copy_panel)
 
 
-        self._edit_menu.AppendMenu(GUIFRAME_ID.COPYAS_ID, 'Copy Params as...', self._edit_menu_copyas,
-                               'Copy parameter values in various formats')
-
+        self._edit_menu.AppendMenu(GUIFRAME_ID.COPYAS_ID, 'Copy Params as...',
+                                   self._edit_menu_copyas,
+                                   'Copy parameter values in various formats')
 
         self._edit_menu.AppendSeparator()
-        
+
         self._edit_menu.Append(GUIFRAME_ID.PREVIEW_ID, '&Report Results',
                                'Preview current panel')
         wx.EVT_MENU(self, GUIFRAME_ID.PREVIEW_ID, self.on_preview_panel)
 
-        self._edit_menu.Append(GUIFRAME_ID.RESET_ID, '&Reset Page', 
+        self._edit_menu.Append(GUIFRAME_ID.RESET_ID, '&Reset Page',
                                'Reset current panel')
         wx.EVT_MENU(self, GUIFRAME_ID.RESET_ID, self.on_reset_panel)
-    
-        self._menubar.Append(self._edit_menu,  '&Edit')
+
+        self._menubar.Append(self._edit_menu, '&Edit')
         self.enable_edit_menu()
-        
+
     def get_style(self):
         """
@@ -1600,5 +1590,5 @@
         """
         return  self.__gui_style
-    
+
     def _add_menu_data(self):
         """
@@ -1610,6 +1600,5 @@
                 for (menu, name) in menu_list:
                     self._menubar.Append(menu, name)
-        
-                        
+
     def _on_toggle_toolbar(self, event=None):
         """
@@ -1627,5 +1616,5 @@
             self._toolbar.Show()
         self._toolbar.Realize()
-        
+
     def _on_status_event(self, evt):
         """
@@ -1634,24 +1623,24 @@
         # This CallAfter fixes many crashes on MAC.
         wx.CallAfter(self.sb.set_status, evt)
-       
+
     def on_view(self, evt):
         """
         A panel was selected to be shown. If it's not already
         shown, display it.
-        
+
         :param evt: menu event
-        
+
         """
         panel_id = str(evt.GetId())
         self.on_set_plot_focus(self.panels[panel_id])
-        wx.CallLater(5*TIME_FACTOR, self.set_schedule(True))
+        wx.CallLater(5 * TIME_FACTOR, self.set_schedule(True))
         self.set_plot_unfocus()
- 
+
     def show_welcome_panel(self, event):
-        """    
+        """
         Display the welcome panel
         """
         if self.defaultPanel is None:
-            return 
+            return
         frame = self.panels['default'].get_frame()
         if frame == None:
@@ -1660,5 +1649,5 @@
         if not frame.IsShown():
             frame.Show(True)
-            
+
     def on_close_welcome_panel(self):
         """
@@ -1666,9 +1655,9 @@
         """
         if self.defaultPanel is None:
-            return 
+            return
         default_panel = self.panels["default"].frame
         if default_panel.IsShown():
-            default_panel.Show(False) 
-                
+            default_panel.Show(False)
+
     def delete_panel(self, uid):
         """
@@ -1677,9 +1666,4 @@
         ID = str(uid)
         config.printEVT("delete_panel: %s" % ID)
-        try:
-            caption = self.panels[ID].window_caption
-        except:
-            logging.error("delete_panel: No such plot id as %s" % ID)
-            return
         if ID in self.panels.keys():
             self.panel_on_focus = None
@@ -1691,6 +1675,6 @@
 
             if panel in self.schedule_full_draw_list:
-                self.schedule_full_draw_list.remove(panel) 
-            
+                self.schedule_full_draw_list.remove(panel)
+
             #delete uid number not str(uid)
             if ID in self.plot_panels.keys():
@@ -1698,11 +1682,12 @@
             if ID in self.panels.keys():
                 del self.panels[ID]
-            return 
-            
+        else:
+            logging.error("delete_panel: No such plot id as %s" % ID)
+
     def create_gui_data(self, data, path=None):
         """
         """
         return self._data_manager.create_gui_data(data, path)
-    
+
     def get_data(self, path):
         """
@@ -1712,5 +1697,5 @@
         output = []
         error_message = ""
-        basename  = os.path.basename(path)
+        basename = os.path.basename(path)
         root, extension = os.path.splitext(basename)
         if extension.lower() not in EXTENSIONS:
@@ -1720,5 +1705,5 @@
             logging.error(log_msg)
             return
-        
+
         #reading a state file
         for plug in self.plugins:
@@ -1734,18 +1719,18 @@
                     except:
                         msg = "DataLoader Error: Encounted Non-ASCII character"
-                        msg += "\n(%s)"% sys.exc_value
-                        wx.PostEvent(self, StatusEvent(status=msg, 
-                                                info="error", type="stop"))
+                        msg += "\n(%s)" % sys.exc_value
+                        wx.PostEvent(self, StatusEvent(status=msg,
+                                                       info="error", type="stop"))
                         return
-        
+
         style = self.__gui_style & GUIFRAME.MANAGER_ON
         if style == GUIFRAME.MANAGER_ON:
             if self._data_panel is not None:
                 self._data_panel.frame.Show(True)
-      
-    def load_from_cmd(self,  path):   
+
+    def load_from_cmd(self, path):
         """
         load data from cmd or application
-        """ 
+        """
         if path is None:
             return
@@ -1754,11 +1739,11 @@
             if not os.path.isfile(path) and not os.path.isdir(path):
                 return
-            
+
             if os.path.isdir(path):
                 self.load_folder(path)
                 return
 
-        basename  = os.path.basename(path)
-        root, extension = os.path.splitext(basename)
+        basename = os.path.basename(path)
+        _, extension = os.path.splitext(basename)
         if extension.lower() not in EXTENSIONS:
             self.load_data(path)
@@ -1767,11 +1752,11 @@
 
         self._default_save_location = os.path.dirname(path)
-        
-    def load_state(self, path, is_project=False):   
+
+    def load_state(self, path, is_project=False):
         """
         load data from command line or application
         """
         if path and (path is not None) and os.path.isfile(path):
-            basename  = os.path.basename(path)
+            basename = os.path.basename(path)
             if APPLICATION_STATE_EXTENSION is not None \
                 and basename.endswith(APPLICATION_STATE_EXTENSION):
@@ -1784,5 +1769,5 @@
         else:
             wx.PostEvent(self, StatusEvent(status=" "))
-            
+
     def load_data(self, path):
         """
@@ -1791,6 +1776,6 @@
         if not os.path.isfile(path):
             return
-        basename  = os.path.basename(path)
-        root, extension = os.path.splitext(basename)
+        basename = os.path.basename(path)
+        _, extension = os.path.splitext(basename)
         if extension.lower() in EXTENSIONS:
             log_msg = "Data Loader cannot "
@@ -1804,5 +1789,5 @@
         try:
             logging.info("Loading Data...:\n" + str(path) + "\n")
-            temp =  self.loader.load(path)
+            temp = self.loader.load(path)
             if temp.__class__.__name__ == "list":
                 for item in temp:
@@ -1812,5 +1797,5 @@
                 data = self.create_gui_data(temp, path)
                 output[data.id] = data
-            
+
             self.add_data(data_list=output)
         except:
@@ -1819,9 +1804,9 @@
             error_message += str(sys.exc_value) + "\n"
             logging.error(error_message)
- 
+
     def load_folder(self, path):
         """
         Load entire folder
-        """   
+        """
         if not os.path.isdir(path):
             return
@@ -1834,5 +1819,5 @@
                 self._data_plugin.get_data(file_list)
             else:
-                return 
+                return
         except:
             error_message = "Error while loading"
@@ -1840,5 +1825,5 @@
             error_message += str(sys.exc_value) + "\n"
             logging.error(error_message)
-            
+
     def _on_open_state_application(self, event):
         """
@@ -1849,6 +1834,6 @@
         wx.PostEvent(self, StatusEvent(status="Loading Analysis file..."))
         plug_wlist = self._on_open_state_app_helper()
-        dlg = wx.FileDialog(self, 
-                            "Choose a file", 
+        dlg = wx.FileDialog(self,
+                            "Choose a file",
                             self._default_save_location, "",
                             plug_wlist)
@@ -1858,16 +1843,16 @@
                 self._default_save_location = os.path.dirname(path)
         dlg.Destroy()
-        self.load_state(path=path)  
-    
+        self.load_state(path=path)
+
     def _on_open_state_app_helper(self):
         """
-        Helps '_on_open_state_application()' to find the extension of 
+        Helps '_on_open_state_application()' to find the extension of
         the current perspective/application
         """
         # No current perspective or no extension attr
         if self._current_perspective is None:
-            return PLUGINS_WLIST 
+            return PLUGINS_WLIST
         try:
-            # Find the extension of the perspective 
+            # Find the extension of the perspective
             # and get that as 1st item in list
             ind = None
@@ -1888,8 +1873,8 @@
 
         except:
-            plug_wlist = PLUGINS_WLIST 
-            
+            plug_wlist = PLUGINS_WLIST
+
         return plug_wlist
-            
+
     def _on_open_state_project(self, event):
         """
@@ -1899,8 +1884,8 @@
             self._default_save_location = os.getcwd()
         wx.PostEvent(self, StatusEvent(status="Loading Project file..."))
-        dlg = wx.FileDialog(self, 
-                            "Choose a file", 
+        dlg = wx.FileDialog(self,
+                            "Choose a file",
                             self._default_save_location, "",
-                             APPLICATION_WLIST)
+                            APPLICATION_WLIST)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
@@ -1908,7 +1893,7 @@
                 self._default_save_location = os.path.dirname(path)
         dlg.Destroy()
-        
+
         self.load_state(path=path, is_project=True)
-        
+
     def _on_save_application(self, event):
         """
@@ -1917,14 +1902,14 @@
         if self.cpanel_on_focus is not None:
             try:
-                wx.PostEvent(self, 
+                wx.PostEvent(self,
                              StatusEvent(status="Saving Analysis file..."))
                 self.cpanel_on_focus.on_save(event)
-                wx.PostEvent(self, 
+                wx.PostEvent(self,
                              StatusEvent(status="Completed saving."))
             except:
                 msg = "Error occurred while saving: "
                 msg += "To save, the application panel should have a data set.."
-                wx.PostEvent(self, StatusEvent(status=msg))  
-            
+                wx.PostEvent(self, StatusEvent(status=msg))
+
     def _on_save_project(self, event):
         """
@@ -1934,11 +1919,10 @@
             return
         wx.PostEvent(self, StatusEvent(status="Saving Project file..."))
-        reader, ext = self._current_perspective.get_extensions()
         path = None
         extension = '*' + APPLICATION_STATE_EXTENSION
         dlg = wx.FileDialog(self, "Save Project file",
                             self._default_save_location, "sasview_proj",
-                             extension, 
-                             wx.SAVE)
+                            extension,
+                            wx.SAVE)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
@@ -1956,5 +1940,5 @@
                 if temp is not None:
                     doc = temp
-            
+
             # Write the XML document
             extens = APPLICATION_STATE_EXTENSION
@@ -1972,45 +1956,40 @@
                 msg += "No project was saved to %s" % (str(path))
                 logging.error(msg)
-                wx.PostEvent(self,StatusEvent(status=msg))
+                wx.PostEvent(self, StatusEvent(status=msg))
         except:
             msg = "Error occurred while saving: "
             msg += "To save, at least one application panel "
             msg += "should have a data set.."
-            wx.PostEvent(self, StatusEvent(status=msg))    
-                    
+            wx.PostEvent(self, StatusEvent(status=msg))
+
     def on_save_helper(self, doc, reader, panel, path):
         """
         Save state into a file
         """
-        try:
-            if reader is not None:
-                # case of a panel with multi-pages
-                if hasattr(panel, "opened_pages"):
-                    for uid, page in panel.opened_pages.iteritems():
-                        data = page.get_data()
-                        # state must be cloned
-                        state = page.get_state().clone()
-                        if data is not None:
-                            new_doc = reader.write_toXML(data, state)
-                            if doc != None and hasattr(doc, "firstChild"):
-                                child = new_doc.firstChild.firstChild
-                                doc.firstChild.appendChild(child)  
-                            else:
-                                doc = new_doc 
-                # case of only a panel
-                else:
-                    data = panel.get_data()
-                    state = panel.get_state()
+        if reader is not None:
+            # case of a panel with multi-pages
+            if hasattr(panel, "opened_pages"):
+                for _, page in panel.opened_pages.iteritems():
+                    data = page.get_data()
+                    # state must be cloned
+                    state = page.get_state().clone()
                     if data is not None:
                         new_doc = reader.write_toXML(data, state)
                         if doc != None and hasattr(doc, "firstChild"):
                             child = new_doc.firstChild.firstChild
-                            doc.firstChild.appendChild(child)  
+                            doc.firstChild.appendChild(child)
                         else:
-                            doc = new_doc 
-        except: 
-            raise
-            #pass
-
+                            doc = new_doc
+            # case of only a panel
+            else:
+                data = panel.get_data()
+                state = panel.get_state()
+                if data is not None:
+                    new_doc = reader.write_toXML(data, state)
+                    if doc != None and hasattr(doc, "firstChild"):
+                        child = new_doc.firstChild.firstChild
+                        doc.firstChild.appendChild(child)
+                    else:
+                        doc = new_doc
         return doc
 
@@ -2021,10 +2000,10 @@
         message = "\nDo you really want to exit this application?        \n\n"
         dial = wx.MessageDialog(self, message, 'Confirm Exit',
-                           wx.YES_NO|wx.YES_DEFAULT|wx.ICON_QUESTION)
+                                wx.YES_NO | wx.YES_DEFAULT | wx.ICON_QUESTION)
         if dial.ShowModal() == wx.ID_YES:
             return True
         else:
-            return False    
-        
+            return False
+
     def WindowClose(self, event=None):
         """
@@ -2035,5 +2014,5 @@
             _pylab_helpers.Gcf.figs = {}
             self.Close()
-            
+
     def Close(self, event=None):
         """
@@ -2042,6 +2021,6 @@
         wx.Exit()
         sys.exit()
-            
-    def _check_update(self, event=None): 
+
+    def _check_update(self, event=None):
         """
         Check with the deployment server whether a new version
@@ -2051,6 +2030,6 @@
         """
         try:
-            conn = httplib.HTTPConnection(config.__update_URL__[0], 
-                              timeout=3.0)
+            conn = httplib.HTTPConnection(config.__update_URL__[0],
+                                          timeout=3.0)
             conn.request("GET", config.__update_URL__[1])
             res = conn.getresponse()
@@ -2059,10 +2038,10 @@
         except:
             content = "0.0.0"
-       
+
         version = content.strip()
         if len(re.findall('\d+\.\d+\.\d+$', version)) < 0:
             content = "0.0.0"
-        self._process_version(content, standalone=event==None)
-    
+        self._process_version(content, standalone=event == None)
+
     def _process_version(self, version, standalone=True):
         """
@@ -2071,9 +2050,9 @@
         version number has been obtained. If the check is being done in the
         background, the user will not be notified unless there's an update.
-        
+
         :param version: version string
-        :param standalone: True of the update is being checked in 
+        :param standalone: True of the update is being checked in
            the background, False otherwise.
-           
+
         """
         try:
